# Uses of Enum
org.apache.commons.math3.analysis.solvers.BaseSecantSolver.Method

Packages that use BaseSecantSolver.Method
Package
Description
org.apache.commons.math3.analysis.solvers
Root finding algorithms, for univariate real functions.

## Uses of BaseSecantSolver.Method in org.apache.commons.math3.analysis.solvers

Methods in org.apache.commons.math3.analysis.solvers that return BaseSecantSolver.Method
Modifier and Type
Method
Description
`static BaseSecantSolver.Method`
BaseSecantSolver.Method.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BaseSecantSolver.Method[]`
BaseSecantSolver.Method.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.commons.math3.analysis.solvers with parameters of type BaseSecantSolver.Method
Modifier
Constructor
Description
`protected`
`BaseSecantSolver(double relativeAccuracy, double absoluteAccuracy, double functionValueAccuracy, BaseSecantSolver.Method method)`
Construct a solver.
`protected`
`BaseSecantSolver(double relativeAccuracy, double absoluteAccuracy, BaseSecantSolver.Method method)`
Construct a solver.
`protected`
`BaseSecantSolver(double absoluteAccuracy, BaseSecantSolver.Method method)`
Construct a solver.